# Change Log
All notable changes to this project will be documented in this file.


## [2.0] - 2016-05-19
### Added
- Dual propagation: every scope now contains two abstractions, the primary abstraction is used for generating abstraction entries and the dual abstraction is used for optimization.
- Parallelization approach: It is now possible to solve multiple independent branches in parallel (enable with `./configure --variant=parallel`).
- New certification toolchain: Tool `certcheck` takes the instance and certificate as argument and outputs a (combinatorial) AIGER file were the output can be enabled only if the certificate is incorrect. Sample verification: `./certcheck instance.qdimacs instance.cert.aag | aigtocnf | picosat` is unsatisfiable if certificate is correct.

### Changed
- Certificate generation is moved into solver. `./caqe -c` returns an AIGER certiciate instead of a proof trace.

### Fixed
- Various preprocessing bugs reported by Florian Lonsing.

## [1.0] - 2015-09-29
### Added
- Initial public version of CAQE.
